Missing filter fields

2023-11-28 10:29 - Eve Bo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Filters Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.1.0

Description

 clipboard-202311281028-xoqmn.png 

We see multiple filters are missing a field that requires a target.

History

#1 - 2023-11-29 10:55 - Mischa The Evil

- Status changed from New to Needs feedback

More info is needed to triage this issue. Is this occurring for newly added filters (only) or on pre-existing (saved) custom queries? Any error-logs

(back- and frontend)? Cleared your (browser-) caches? See also Submissions#Submitting-a-Bug.

#2 - 2023-11-29 11:27 - Eve Bo

- File clipboard-202311291125-lnph4.png added

The problem is occurring on pre-existing queries, since we upgraded to the version 5.1.0.
It's everyone in the company having the same problem, but I deleted all caches to make sure the problem was not us.

I'm sorry, I just started this job and it's my first time reporting a problem.

Is there anything I can look for in the logs to see what the problem is?

We do use another theme for Redmine, I'll try to remake the server in a virtual machine and see if the problem persists.

#3 - 2023-11-29 11:47 - Mischa The Evil

Eve Bo wrote in #note-2:

The problem is occurring on pre-existing queries, since we upgraded to the version 5.1.0.

 I was afraid of that already.

Is there anything I can look for in the logs to see what the problem is?

We do use another theme for Redmine, I'll try to remake the server in a virtual machine and see if the problem persists.

 Well, the theme seems not-yet compatible with 5.1.x
 which could be the cause of this. Can you try using the default theme? You can configure it at

"Administration" > "Settings" > "Display" tab > "Theme".

Regardless, if this is just a front-end issue, you can check for any javascript warnings/errors using the browsers development tools.
 https://www.redmineup.com/pages/themes/circle#requirements

#4 - 2023-11-29 14:57 - Mischa The Evil

- Assignee set to Go MAEDA

@Go MAEDA: I've just had a second look at this and I'm more and more thinking this is actually a back-end core Redmine issue due to the issue

query filter type change applied in r22240. Go MAEDA: Can you take a look into this? If it is indeed, we need to fix it and release it with a high priority

as it then will affect (i.e. making them unusable) all (saved) custom issue queries that includes filters on all the following issue attributes:

tracker

priority

assigned_to
https://www.redmine.org/projects/redmine/wiki/Submissions#Submitting-a-Bug
https://www.redmineup.com/pages/themes/circle#requirements
https://www.redmine.org/projects/redmine/repository/svn/revisions/22240
https://www.redmine.org/users/332


fixed_version

category

Note: don't be fooled by OP's screenshot with the marking on the status filter as the "Open" operator of that filter doesn't have any values. As such

does OP's screenshot confirm my suspicion...

#5 - 2023-11-29 18:05 - Eve Bo

I checked with the default theme but the issue persists. Hope this information helps you

#6 - 2023-11-29 21:56 - pasquale [:dedalus]

I cannot reproduce this issue nor with default theme and nor with custom theme (purplemine2). Maybe Is originated by some plugin? Could you try

without plugins? I'm on mySql database.

#7 - 2023-11-30 01:27 - Go MAEDA

I reproduced the problem in Redmine 5.1 by using application.js for Redmine 5.0.

1. An old application.js may be cached. Try super reloading in your web browser: 

https://www.howtogeek.com/672607/how-to-hard-refresh-your-web-browser-to-bypass-your-cache/#how-to-perform-a-hard-refresh-in-your-browser

2. If super reloading does not fix the problem, check whether public/javascripts/application.js is properly updated for Redmine 5.1. The file for 5.1

should contain the keywords "list_with_history" and "list_optional_with_history".

$ grep with_history public/javascripts/application.js

  case "list_with_history":

  case "list_optional_with_history":

#8 - 2023-11-30 05:05 - Mischa The Evil

- Assignee changed from Go MAEDA to Eve Bo

@Go & @Pasquale: thanks for looking into this. I'm more reassured now that this is not the big issue I feared it could be...

pasquale [:dedalus] wrote in #note-6:

[...] Maybe Is originated by some plugin? Could you try without plugins? [...]

 That is a good advice for the OP. FWIW: The used "redmine_agile" plugin version (1.6.5) is already confirmed to be outdated and incompatible with

5.1.x (see its page in the plugin directory, 1.6.6 is released recently).

Go MAEDA wrote in #note-7:

I reproduced the problem in Redmine 5.1 by using application.js for Redmine 5.0. [...]

 That is indeed what I expected at first glance too. I'll leave it to the OP to look into that (and the plugins), so I'll reassign this issue back to Eve.

#9 - 2023-12-01 15:31 - Eve Bo

Hi everyone!

I just remade our server in VirtualBox and with updating the plugins, the problem is gone.

Thank you all so much for your work!

I'll be updating our live server on Wednesday and I'll let you know if the problem is resolved.

#10 - 2023-12-06 17:19 - Eve Bo

Problem is fixed!

It was indeed the application.js file. Fixed it by copying the file from my VM to my server running Redmine and after reloading, the issue was fixed.

Thanks for all the help!

#11 - 2023-12-07 02:06 - Go MAEDA

- Status changed from Needs feedback to Closed

- Assignee deleted (Eve Bo)

- Resolution set to Invalid

Thank you for reporting that the problem has been resolved.

Files
